unit U_comm;
{-----------------------------------------------------------------------}
{                                                                       }
{           Subprogram Name:                                            }
{           Purpose:          VirtualDBTreeEx GPL                       }
{           Source Language:  Francais, English                         }
{           Auteurs :                                                   }
{    Copyright Matthieu Giroux from 2008 to 2016 (LAZARUS),             }
{    Copyright Microcelt 2006,                                          }
{                                                                       }
{-----------------------------------------------------------------------}
{                                                                       }
{           Description:                                                }
{           Ancestromania est un Logiciel Libre.                        }
{                                                                       }
{ This program is free software: you can redistribute it and/or modify  }
{ it under the terms of the GNU General Public License as published by  }
{ the Free Software Foundation, either version 3 of the License, or     }
{ (at your option) any later version.                                   }
{                                                                       }
{ This program is distributed in the hope that it will be useful,       }
{ but WITHOUT ANY WARRANTY; without even the implied warranty of        }
{ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         }
{ GNU General Public License for more details.                          }
{                                                                       }
{ You should have received a copy of the GNU General Public License     }
{ along with this program.  If not, see <http://www.gnu.org/licenses/>. }
{-----------------------------------------------------------------------}


{$IFDEF FPC}
  {$MODE Delphi}
{$ENDIF}

interface

uses
  LCLType, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TF_Comm = class(TForm)
    Panel1: TPanel;
    ch_Negocie: TCheckBox;
    ch_Envoie: TCheckBox;
    ch_Recoit: TCheckBox;
    ch_Fin: TCheckBox;
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Déclarations privées }
  public
    { Déclarations publiques }
  end;

var
  F_Comm: TF_Comm;

implementation

{$IFNDEF FPC}
  {$R *.dfm}
{$ELSE}
  {$R *.lfm}
{$ENDIF}

procedure TF_Comm.Timer1Timer(Sender: TObject);
begin
  Beep();
  if not ch_Envoie.Visible Then
    try
      ch_Envoie.Visible := True ;
      Timer1.Enabled := False;
      Timer1.Enabled := True;
    Except
      Timer1.Enabled := False;
    End
  Else
    if not ch_Envoie.Checked Then
      try
//        M_Dmdevis.zq_MAJDevAEn.ExecSQL ;
        ch_Envoie.Checked := True ;
        Timer1.Enabled := False;
        Timer1.Enabled := True;
      Except
        Timer1.Enabled := False;
      End
    Else
      if not ch_Recoit.Visible Then
        try
          ch_Recoit.Visible := True ;
          Timer1.Enabled := False;
          Timer1.Enabled := True;
        Except
          Timer1.Enabled := False;
        End
      Else
        if not ch_Recoit.Checked Then
          try
//            M_Dmdevis.zq_MAJDevEn.ExecSQL ;
            ch_Recoit.Checked := True ;
            Timer1.Enabled := False;
            Timer1.Enabled := True;
          Except
            Timer1.Enabled := False;
          End
        Else if not ch_Fin.Visible Then
            try
              ch_Fin.Visible := True ;
              Timer1.Enabled := False;
              ch_Fin.Checked := True ;
              Self.Free ;
            Except
            End ;
  Exit ;
  Timer1.Enabled := False;
  if MessageDlg('aucune communication' + #13 +
  'Vérifiez vos branchements et l''activation de la led rouge de votre modem' + #13
  + 'Voulez-vous ré-essayer ?', mtError, [mbYes,mbNo], 0) = mrNo then
    begin
    Close;
    end else begin
    Timer1.Enabled := True;
    exit;
    end;
end;

procedure TF_Comm.FormActivate(Sender: TObject);
begin
Timer1.Enabled := True;
end;

end.
